import { defineStore } from "pinia";


export const useCounterStore = defineStore("counter", {
  state: () => ({
    orderStatus: "",
    adStatus: ""
  }),
  
  actions: {
    setOrderStatus(orderStatus) {
      this.orderStatus = orderStatus
    },
    setAdStatus(adStatus) {
      this.adStatus = adStatus
    }
  }
})

// 使用
/*
<script setup>
import { useCounterStore } from '~/stores/counter'
const counterStore = useCounterStore()
</script>
<template>
  <div>
    <p>Count: {{ counterStore.count }}</p>
    <button @click="counterStore.increment">Increment</button>
  </div>
</template> 
*/